import request from '@/utils/request'

// 查询加入合伙人提示配置列表
export function listIndexPartnerConfig(query) {
  return request({
    url: '/model/indexPartnerConfig/list',
    method: 'get',
    params: query
  })
}

// 查询加入合伙人提示配置详细
export function getIndexPartnerConfig(partnerBackground) {
  return request({
    url: '/model/indexPartnerConfig/' + partnerBackground,
    method: 'get'
  })
}

// 新增加入合伙人提示配置
export function addIndexPartnerConfig(data) {
  return request({
    url: '/model/indexPartnerConfig',
    method: 'post',
    data: data
  })
}

// 修改加入合伙人提示配置
export function updateIndexPartnerConfig(data) {
  return request({
    url: '/model/indexPartnerConfig',
    method: 'put',
    data: data
  })
}

// 删除加入合伙人提示配置
export function delIndexPartnerConfig(partnerBackground) {
  return request({
    url: '/model/indexPartnerConfig/' + partnerBackground,
    method: 'delete'
  })
}
